Subject: draft-maeda-faxterminal-mode-protocol-01.txt

From: MAEDA toru <[email-masked]>
Date: Tue, 13 Mar 2001 19:59:33 +0900

Hi,

I have summarized discussions over the mailing list
on draft-maeda-faxwg-terminal-mode-protocol-00.txt
and reflected them into the new version;
draft-maeda-faxwg-terminal-mode-protocol-01.txt.
Since ID data base is closed now, I am sending it to the mailing list.
I attached draft text which is not quite long.

Regards.

Toru Maeda

INTERNET-DRAFT        Protocol for Terminal Mode       12 March 2001

IETF fax WG                                      Toru Maeda, CANON Inc.
Internet draft                                         12 March 2001
                                                    Expires: August 2001

                          Protocol for Terminal Mode
                <draft-maeda-faxwg-terminal-mode-protocol-01.txt>

1 Requirement
Goals of Terminal Mode are described in draft-maeda-faxwg-terminal-
mode-goals-01.txt.
To solve the following problems which current IFAX can not realize.
1)Real time confirmation of delivery
2)Capability exchange before data communication

2 Proposal
Add end-to-end ESMTP communication between terminals as extension to FFPIM
or EIFAX.

2.1 Transport
ESMTP will be extended to support end-to-end connection between the
transmitter and the reciever.

2.2 Confirmation

2.2.1 Delivery confirmation
Real Time confirmation is realized by communicating with end-to-end
ESMTP between IFAX terminals.

2.2.2 Processing Confirmation
MDN response is submitted within one session or
by separate session after communication.

2.3 Capability Exchange

2.3.1 Protocol
There are several methods to be selected and discussed.
　　　- Define new command of EIFAX such as REQCAP
　　　- Define local command of EIFAX such as XREQCAP
　　　- Use ETRN command
           The detail is to be studied.

2.3.2 Format
Extension of RFC2531 which supports T.30 signals will be used for
exchange capabiities.

2.4 Interworking with EIFAX or Simple Mode IFAX machine
Terminal mode IFAX communicate with EIFAX or Simple Mode IFAX
machine in direct SMTP connection except capability exchange
because EIFAX or Simple Mode IFAX can speak SMTP. If network
environment doesn't allow to direct ESMTP communication,
terminal mode machine fall down its capability to FFPIM,
EIFAX or Simple Mode as store and forward mode.

3 Goals
-Easy to Implement
-Interworking with IFAX simple mode and EIFAX
-Timely delivery
-Real time delivery confirmation
-Capability exchange
-Use of existing infrastructure

--------------------
MAEDA TORU
MIE Development Div. 2
CANON Inc.
--------------------